Kea: isc::host_cache::HostResrv6Tuple Struct Reference

| Kea 3.2.0-git

isc::host_cache::HostResrv6Tuple Struct Reference

Defines one entry for the Host Container for v6 hosts. More...

`#include <container.h>`

## Public Member Functions
| HostResrv6Tuple (const dhcp::IPv6Resrv &resrv, const dhcp::HostPtr &host)
| Default constructor.
const asiolink::IOAddress & | getKey () const
| Key extractor (used in the second composite key).

## Public Attributes
dhcp::HostPtr | host_
| Pointer to the host object.
const dhcp::IPv6Resrv | resrv_
| Address or prefix reservation.
const dhcp::SubnetID | subnet_id_
| Value of the IPv6 Subnet-id.

## Detailed Description

Defines one entry for the Host Container for v6 hosts.

It's essentially a pair of (IPv6 reservation, Host pointer). This structure is used as an intermediate structure in Resv6Container. For a single host that has reservations for X addresses or prefixes, there will be X HostResrv6Tuple structures.

Definition at line 134 of file container.h.

## Constructor & Destructor Documentation

## ◆ HostResrv6Tuple()

isc::host_cache::HostResrv6Tuple::HostResrv6Tuple | ( | const dhcp::IPv6Resrv & | resrv,
|  | const dhcp::HostPtr & | host )
| inline

Default constructor.

Parameters

  resrv | IPv6 address/prefix reservation
  host | pointer to the host object

Definition at line 140 of file container.h.

References host_, resrv_, and subnet_id_.

## Member Function Documentation

## ◆ getKey()

const asiolink::IOAddress & isc::host_cache::HostResrv6Tuple::getKey | ( |  | ) | const
| inline

Key extractor (used in the second composite key).

Definition at line 155 of file container.h.

References resrv_.

## Member Data Documentation

## ◆ host_

dhcp::HostPtr isc::host_cache::HostResrv6Tuple::host_

Pointer to the host object.

Definition at line 149 of file container.h.

Referenced by HostResrv6Tuple().

## ◆ resrv_

const dhcp::IPv6Resrv isc::host_cache::HostResrv6Tuple::resrv_

Address or prefix reservation.

Definition at line 146 of file container.h.

Referenced by HostResrv6Tuple(), and getKey().

## ◆ subnet_id_

const dhcp::SubnetID isc::host_cache::HostResrv6Tuple::subnet_id_

Value of the IPv6 Subnet-id.

Definition at line 152 of file container.h.

Referenced by HostResrv6Tuple().

The documentation for this struct was generated from the following file:

- container.h